<% content_for(:head) do -%>
  <%= javascript_include_tag 'common' %>
  <%= javascript_include_tag 'live-comment-preview' %>
<% end -%>
<%= render :partial => 'posts/post', :locals => {:post => @post} %>
<ol class="commentlist">
  <% @post.approved_comments.each do |comment| -%>
  <li<%= cycle ' class="alt"', '' %> id="comment-<%= comment.id %>">
    <%= render :partial => 'comments/comment', :locals => {:comment => comment} %>
  </li>
  <% end -%>
</ol>    
<h2>Post a comment</h2>
  <% unless @comment.errors.empty? -%>
  <div class="errors">
    <h3>Comment not added!</h3>
    <ul>
      <% @comment.errors.sort_by(&:first).each do |error| -%>
        <li><%= format_comment_error(error) %></li>
      <% end -%>  
    </ul>
  </div>  
  <% end -%>  
<% form_for([@post, @comment]) do |form| -%>
  <div>
    <p><%= form.text_field 'author' %><label for="comment_author"><small>Name or <a href="http://openid.net/">OpenID</a> (required)</small></label></p>
    <p><%= form.text_area 'body' %><br /><small>(<a href="http://lesstile.rubyforge.org">lesstile enabled</a> - surround code blocks with ---)</small></p>
    <p><%= submit_tag "Add Comment" %></p>
  </div>
<% end -%>
